AM261x MCU+ SDK: MCSPILLD_InitObject Struct Reference

| AM261x MCU+ SDK 26.00.00 |

Data Fields
MCSPILLD_InitObject Struct Reference
APIs for SOC Specific Device Drivers » APIs for MCSPI LLD

## Detailed Description

MCSPI driver initialization object.

## Data Fields
uint32_t | inputClkFreq
uint32_t | intrNum
uint32_t | operMode
uint8_t | intrPriority
uint32_t | chMode
uint32_t | pinMode
uint32_t | initDelay
uint32_t | multiWordAccess
uint32_t | msMode
uint32_t | chEnabled [MCSPI_MAX_NUM_CHANNELS]
MCSPI_ChObject | chObj [MCSPI_MAX_NUM_CHANNELS]
MCSPI_DmaHandle | mcspiDmaHandle
MCSPI_clockGet | clockP_get
MCSPI_transferCallbackFxn | transferCallbackFxn
MCSPI_errorCallbackFxn | errorCallbackFxn

## Field Documentation

## ◆ inputClkFreq

uint32_t MCSPILLD_InitObject::inputClkFreq

Module input clock frequency

## ◆ intrNum

uint32_t MCSPILLD_InitObject::intrNum

Peripheral interrupt number

## ◆ operMode

uint32_t MCSPILLD_InitObject::operMode

Driver operating mode

## ◆ intrPriority

uint8_t MCSPILLD_InitObject::intrPriority

Interrupt priority

## ◆ chMode

uint32_t MCSPILLD_InitObject::chMode

Channel mode: Single or multi channel. Refer MCSPI_ChMode

## ◆ pinMode

uint32_t MCSPILLD_InitObject::pinMode

Pin mode. Refer MCSPI_PinMode

## ◆ initDelay

uint32_t MCSPILLD_InitObject::initDelay

Initial SPI delay for first transfer. Refer MCSPI_InitDelay

## ◆ multiWordAccess

uint32_t MCSPILLD_InitObject::multiWordAccess

Flag to enable/disable multi word access

## ◆ msMode

uint32_t MCSPILLD_InitObject::msMode

Controller or Peripheral mode. Refer MCSPI_MsMode

## ◆ chEnabled

uint32_t MCSPILLD_InitObject::chEnabled[MCSPI_MAX_NUM_CHANNELS]

Enable/Disable Flag for all McSPI channels

## ◆ chObj

MCSPI_ChObject MCSPILLD_InitObject::chObj[MCSPI_MAX_NUM_CHANNELS]

Channel object

## ◆ mcspiDmaHandle

MCSPI_DmaHandle MCSPILLD_InitObject::mcspiDmaHandle

DMA Handle

## ◆ clockP_get

MCSPI_clockGet MCSPILLD_InitObject::clockP_get

## ◆ transferCallbackFxn

MCSPI_transferCallbackFxn MCSPILLD_InitObject::transferCallbackFxn

Callback function pointer

## ◆ errorCallbackFxn

MCSPI_errorCallbackFxn MCSPILLD_InitObject::errorCallbackFxn

Callback function pointer